Search

Megjöttek a Vulkan 1.1-et támogató meghajtók

Két napja mutatkozott be a Vulkan API új, 1.1-es verziója, amelyről az előbb linkelt hírben be is számoltunk. A gyártók ezután rendszerint ki szokták adni a saját implementációikat, és ezúttal kifejezetten gyorsak voltak az érintettek, ugyanis az Intel, az AMD és az NVIDIA is kínál már végleges vagy fejlesztői meghajtót az új API-ra.

Az Intel egyelőre Linuxon teszi ezt meg, ahol a nyílt forráskódú, ANV nevű, Vulkan 1.1-es implementációt támogatják, amely a Broadwell, Skylake, Kaby Lake és Coffee Lake lapkák IGP-ire jó. A Windows operációs rendszerre csak később lesz implementáció, de információink szerint ez sem áll rosszul, mivel a szükséges munka nem túl nagy, köszönhetően annak, hogy a Khronos Group az újítások egy részét kísérleti kiterjesztésként már korábban elérhetővé tette.

Az NVIDIA Linux és Windows operációs rendszerre is kínál Vulkan 1.1-nek megfelelő, úgynevezett fejlesztői meghajtókat. A Linuxnál a 387.42.05-ös verziót kell keresni, míg Windows esetében a 389.10-es eszközillesztő tartalmazza a legfrissebb implementációt. Ezek a driverek egyébként a mainline csomagokhoz képest picit régebbiek, tehát akkor érdemes őket telepíteni, ha az adott munkafolyamat számára kiemelten fontos az új API elérése.

Az AMD szintén kiadta a Linux és a Windows operációs rendszerekre fejlesztett, Vulkan 1.1-hez tervezett eszközillesztőket, amelyek az előbbi linkeken érhetők el. Ezek már nem fejlesztői csomagok, hanem a legutolsó mainline meghajtóba vannak beolvasztva, így véglegesnek tekinthetők.

A hardverek támogatása szempontjából elmondható, hogy amelyik grafikus vezérlőn működött a Vulkan 1.0, azon működik az 1.1 is. Persze a nem kötelező kiterjesztések szempontjából lehetnek különbségek, de ez jellemzően részletkérdés.

Olvashatjuk itt: Forrás

0.Comments

    Leave a Comment